#!/bin/bash
# sudowarning this perferably goes to /etc/bash.bashrc
# This shows a custom warning before executeing sudo. Ideal to prevent sudo-usage on host, where this is unwanted (like jumphosts)
sudo () {
  local command=$@
  read -rp "You are about to run the command $(echo -e "\e[1;34;33m$command\e[0m") on the Jumphost. As root. Are you really sure? (y/N):"
  if [[ "$REPLY" = [yY]* ]]; then
     command sudo "$@"
  else
     return $?
  fi
}

